Bug 851891 - Review Request: wiki2beamer - Converts a simple wiki-like syntax to complex LaTeX beamer code
Review Request: wiki2beamer - Converts a simple wiki-like syntax to complex L...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-26 20:14 EDT by Sebastian Dyroff
Modified: 2012-11-20 15:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-20 15:53:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)
koji output (985 bytes, text/plain)
2012-08-26 20:16 EDT, Sebastian Dyroff
no flags Details
rpmlint output (1.15 KB, text/plain)
2012-08-26 20:17 EDT, Sebastian Dyroff
no flags Details

  None (edit)
Description Sebastian Dyroff 2012-08-26 20:14:40 EDT
Spec URL: http://git.dyroff.org/?p=sdyroff-rpms.git;a=blob;f=SPECS/wiki2beamer.spec;h=103ec5270dfc19bfee8f47b345796fe2fbd628fd;hb=72206497496f45f965646753b8e6fdbdae57e1da
SRPM URL: http://dyroff.org/wiki2beamer-0.9.5-0.src.rpm
Description: Wiki2beamer converts a simple wiki-like syntax to complex LaTeX beamer code. 
It's written in python and should run on windows and all *nix platforms. Why 
collaborative? Because you can use it with version control systems. Afraid 
to loose some LaTeX powers? Don't worry: you can always fall back to plain 
LaTeX as wiki2beamer is just a preprocessor.
Fedora Account System Username: sdyroff
Comment 1 Sebastian Dyroff 2012-08-26 20:16:13 EDT
Created attachment 607082 [details]
koji output
Comment 2 Sebastian Dyroff 2012-08-26 20:17:31 EDT
Created attachment 607083 [details]
rpmlint output
Comment 3 Sebastian Dyroff 2012-08-26 20:17:54 EDT
I forgot to mention that i need a sponsor.
Comment 4 Mario Blättermann 2012-09-21 17:11:55 EDT
Would be nice to have a direct download link for the spec, as follows:
http://git.dyroff.org/?p=sdyroff-rpms.git;a=blob_plain;f=SPECS/wiki2beamer.spec;h=103ec5270dfc19bfee8f47b345796fe2fbd628fd;hb=72206497496f45f965646753b8e6fdbdae57e1da

Some initial comments:

A "Release: 0" doesn't exist. Use "Release: 1%{?dist}" for your first release of a certain upstream version and bump it each time you change anything.

The initial cleaning of buildroot in %install and the %clean section are obsolete, unless you want to provide your package for EPEL5.

Perhaps you should rename fdl.txt to LICENSE-DOCS or anything similar to make it somewhat clearer what this file refers to. However, it is not forced by the packaging guidelines, just an idea.
Comment 5 Sebastian Dyroff 2012-09-22 12:57:18 EDT
Thanks, for the comments.

I've updated the spec, see:
http://git.dyroff.org/?p=sdyroff-rpms.git;a=blob_plain;f=SPECS/wiki2beamer.spec;hb=4921d5aee3fca96a94caa6fbcc902b3d6f8073c8

srpm: http://www.dyroff.org/wiki2beamer-0.9.5-2.fc17.src.rpm

I changed:
- The release Tag is now 2%{?dist}
- I removed a obsolete comment
- buildroot is not cleaned
- fdl.txt is renamed to LICENSE-DOCS

I made a koji scratch build and there were no errors.

Regarding the release tag, I used 2 in order to make clear that this is the second release. And changed the changelog for the first release.

I know, that a e-mail address needs to be included in the changelog. I do not have a fedoraproject alias. Should i insert a private address or is it ok, to insert the address later.
Comment 6 Mario Blättermann 2012-09-30 12:14:33 EDT
Lifting FE-NEEDSPONSOR, I will sponsor Sebastian.
Comment 8 Mario Blättermann 2012-10-04 05:53:12 EDT
(In reply to comment #5)
> I know, that a e-mail address needs to be included in the changelog. I do
> not have a fedoraproject alias. Should i insert a private address or is it
> ok, to insert the address later.

Either use your bugzilla address <bugs@dyroff.org> or <sdyroff@fedoraproject.org> which you'll get automatically once you are a packager.

I've added your FAS account to the packagers group. Once your package is approved (which will happen soon) please add me as a comaintainer. Because I'm not a provenpackager, I wouln't have access to this package.
Comment 9 Sebastian Dyroff 2012-10-04 15:41:15 EDT
I will add the email address <sdyroff@fedoraproject.org>. Should I do a version bump just for this change? There may be more work. Or should i fix this first?
Comment 10 Mario Blättermann 2012-10-04 16:37:40 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4560936


$ rpmlint -i -v *
wiki2beamer.src: I: checking
wiki2beamer.src: W: spelling-error Summary(en_US) beamer -> bearer, reamer, beater
The value of this tag appears to be misspelled. Please double-check.

wiki2beamer.src: W: spelling-error %description -l en_US beamer -> bearer, reamer, beater
The value of this tag appears to be misspelled. Please double-check.

wiki2beamer.src: W: spelling-error %description -l en_US preprocessor -> processor, predecessor, process's
The value of this tag appears to be misspelled. Please double-check.

wiki2beamer.src: I: checking-url http://sourceforge.net/projects/wiki2beamer (timeout 10 seconds)
wiki2beamer.src: I: checking-url http://downloads.sourceforge.net/wiki2beamer/wiki2beamer-0.9.5.zip (timeout 10 seconds)
wiki2beamer.noarch: I: checking
wiki2beamer.noarch: W: spelling-error Summary(en_US) beamer -> bearer, reamer, beater
The value of this tag appears to be misspelled. Please double-check.

wiki2beamer.noarch: W: spelling-error %description -l en_US beamer -> bearer, reamer, beater
The value of this tag appears to be misspelled. Please double-check.

wiki2beamer.noarch: W: spelling-error %description -l en_US preprocessor -> processor, predecessor, process's
The value of this tag appears to be misspelled. Please double-check.

wiki2beamer.noarch: I: checking-url http://sourceforge.net/projects/wiki2beamer (timeout 10 seconds)
wiki2beamer.spec: I: checking-url http://downloads.sourceforge.net/wiki2beamer/wiki2beamer-0.9.5.zip (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 6 warnings.


Some ignorable spelling errors. No issues so far from rpmlint so far. Nevertheless still some issues from my side:

Remove the %clean section because it is obsolete, unless you want to provide your package for EPEL 5.

We don't need to declare the CFLAGS. There's no C code included in the tarball.

The README file has to be added to %doc.

Regarding your mail address, I sent a test mail to sdyroff@fedoraproject.org recently. Once you've got it you may add it to the changelog. BTW, would be nice and better readable to have an empty line between the changelog entries.
Comment 11 Sebastian Dyroff 2012-10-05 06:27:37 EDT
Removed the %clean section completely, removed the CFLAGS. I added an email address and the README to %doc.

The test mail was successfully delivered. I also added empty lines between changelog entries.

spec: http://git.dyroff.org/?p=sdyroff-rpms.git;a=blob_plain;f=SPECS/wiki2beamer.spec;hb=e5917572ac4960740e5ebe162e585cf09f96a6db

srpm: http://www.dyroff.org/wiki2beamer-0.9.5-4.fc17.src.rpm

Regards

Sebastian
Comment 12 Mario Blättermann 2012-10-05 15:47:40 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4563897

$ rpmlint -i -v *
wiki2beamer.src: I: checking
wiki2beamer.src: W: spelling-error Summary(en_US) beamer -> bearer, reamer, beater
The value of this tag appears to be misspelled. Please double-check.

wiki2beamer.src: W: spelling-error %description -l en_US beamer -> bearer, reamer, beater
The value of this tag appears to be misspelled. Please double-check.

wiki2beamer.src: W: spelling-error %description -l en_US preprocessor -> processor, predecessor, process's
The value of this tag appears to be misspelled. Please double-check.

wiki2beamer.src: I: checking-url http://sourceforge.net/projects/wiki2beamer (timeout 10 seconds)
wiki2beamer.src: I: checking-url http://downloads.sourceforge.net/wiki2beamer/wiki2beamer-0.9.5.zip (timeout 10 seconds)
wiki2beamer.noarch: I: checking
wiki2beamer.noarch: W: spelling-error Summary(en_US) beamer -> bearer, reamer, beater
The value of this tag appears to be misspelled. Please double-check.

wiki2beamer.noarch: W: spelling-error %description -l en_US beamer -> bearer, reamer, beater
The value of this tag appears to be misspelled. Please double-check.

wiki2beamer.noarch: W: spelling-error %description -l en_US preprocessor -> processor, predecessor, process's
The value of this tag appears to be misspelled. Please double-check.

wiki2beamer.noarch: I: checking-url http://sourceforge.net/projects/wiki2beamer (timeout 10 seconds)
wiki2beamer.spec: I: checking-url http://downloads.sourceforge.net/wiki2beamer/wiki2beamer-0.9.5.zip (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 6 warnings.

Some ignorable spelling errors.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv2+ and GFDL
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[.] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    d38f1d53896fb09e5fed4bafccbdcfd73d7207dfc8c84709d442d4910a32f4cc  wiki2beamer-0.9.5.zip
    d38f1d53896fb09e5fed4bafccbdcfd73d7207dfc8c84709d442d4910a32f4cc  wiki2beamer-0.9.5.zip.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------


Go ahead with a SCM request:
https://fedoraproject.org/wiki/Package_SCM_admin_requests#New_Packages

Please add me as a co-owner of your package, because I'm not a provenpackager.
Comment 13 Sebastian Dyroff 2012-10-05 19:30:04 EDT
New Package SCM Request
=======================
Package Name: wiki2beamer
Short Description: Converts a simple wiki-like syntax to complex LaTeX beamer code
Owners: sdyroff mariobl
Branches: f17 f18
InitialCC:
Comment 14 Jason Tibbitts 2012-10-08 12:28:59 EDT
Git done (by process-git-requests).
Comment 15 Fedora Update System 2012-10-09 17:33:37 EDT
wiki2beamer-0.9.5-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/wiki2beamer-0.9.5-4.fc18
Comment 16 Fedora Update System 2012-10-09 17:36:54 EDT
wiki2beamer-0.9.5-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/wiki2beamer-0.9.5-4.fc17
Comment 17 Fedora Update System 2012-10-10 01:04:19 EDT
wiki2beamer-0.9.5-4.fc18 has been pushed to the Fedora 18 testing repository.
Comment 18 Mario Blättermann 2012-11-20 15:53:37 EST
Packages are marked as stable now.

Note You need to log in before you can comment on or make changes to this bug.